Subject: Re: bug#18891: Doesn't handle pwd = /C: very well

From: Glenn Morris <[email-masked]>
Date: Tue, 04 Nov 2014 13:58:10 -0500

Michael Albinus wrote:

> There could be undesired side effects. File name handlers are invoked
> only if the file *name* matches a corresponding regexp, nothing else. If
> you want to make checks on the file system itself, it would result at
> least in performance penalties.
>
> Not to speak about cases where it is not possible.
>
> (substitute-in-file-name "/C:/$FOO") requires the expansion of
> $FOO. That's the task of Tramp, according to that file name. Nothing you
> can check before invoking Tramp, because you don't know the value of $FOO.

Well, it seems to me that so long as the Tramp file name syntax can also
match a real local file name, you cannot avoid testing for the existence
of such a file. If you are saying that needs to be done in Tramp rather
than before Tramp is invoked, fine by me.